Subject: Re: [patch 5/5] d80211: add ioctl to stop data frame tx

From: Elliot Schwartz <[email-masked]>
Date: Mon, 28 Aug 2006 11:34:15 -0700

Hi Jiri (and Johannes),

Jiri Benc <[email-masked]> writes:
> On Wed, 23 Aug 2006 09:25:06 +0200, Johannes Berg wrote:
> > Should that really drop dataframes dead on the floor? And wouldn't it
> > make sense stop the networking layer from injecting more data into the
> > stack when stop_data_frame_tx is enabled?
>
> I agree. That should be solved in an another way (stop dequeuing frames
> from 802.11 qdisc?).

This is used to be able to send the channel switch announcements that
are queued from userspace out, yet not send dataframes in this same
queue out. This is to avoid exceeding regulatory requirements for
transmission time after radar has been detected.

It's not ideal, but possibly neither is hanging on to the frames
during the interval in which the channel changes hoping to find the
same station there.

Thanks,

elliot